| Home | Libraries | People | FAQ | More

##### io_service::run_one (2 of 2 overloads)

Run the `io_service` object's event processing loop to execute at most one handler.

    std::size_t run_one(
        boost::system::error_code & ec);

The `run_one()` function blocks until one handler has been dispatched, or until the `io_service` has been stopped.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of handlers that were executed.